#!/bin/bash
# Copy files from mounted CDROM to a subdirectory of binCDfiles
# The directory is created and should not exist
# Using:
# ./alt_s5_copyfiles.bash mount_point CDnumber
# e.g.
# ./alt_s1_getfrag_dd.bash /media/cdrom 1
# Note There is no verification, that appropriate CD is mounted, be careful
#  or SHA check later will fail

function die() {
   local eret;
   eret=$1; shift
   echo "$@" >&2
   exit $eret;
}

if test ${#@} -ne 2; then echo ERR: $0 requires two parameters - mount point, number >&2; exit 4; fi
mntpoint="$1";
cdno=$2;

dir=$(grep bin-${cdno}of iso_*.sha1 | perl -pe 's/^[0-9a-f]{40} \*(\S+)\.iso$/$1/');
if test "$dir" == ""; then die 8 "ERR: Niepoprawny numer CD $cdno"; fi;
mkdir binCDfiles/$dir || die 8  "ERR: Cannot mkdir binCDfiles/$dir";
destdir=$PWD/binCDfiles/$dir
utfbinum=$PWD/ut/flist_by_inum.pl
cd $mntpoint || die 8 "ERR: cannot cd to $mntpoint"
find . -type f -print0 | $utfbinum -0 | cpio -p0md "$destdir"
