#!/bin/bash
# should start from the directory containing the script and related files
# no parameters needed (any parameters specified cause error)
if test ${#@} -ne 0; then echo ERR: $0 do not accept parameters >&2; exit 4; fi
if test -f geniso.cfg; then . geniso.cfg; else echo ERR: No file geniso.cfg >&2; exit 8; fi
for x in ut/mdchk_OKfilt.pl ut/mdlist_by_inum.pl; do
  if ! test -f $x; then echo ERR: No required file $x >&2; exit 8; fi
  if ! test -x $x; then echo ERR: No exec perm for $x >&2; exit 8; fi
done
md=${dvdbase}-gen.sha1
if ! test -f "$md"; then echo ERR: No required file $md >&2; exit 8; fi
ut/mdlist_by_inum.pl < "$md" | env LANG=C sha1sum -wc | ut/mdchk_OKfilt.pl
echo NOTE: If there are any "'FAILED'" lines or error messages you should not continue >&2
