#!/bin/bash
# should start from the directory containing the script and related files
# no parameters needed (any parameters specified cause error)
if test ${#@} -ne 0; then echo ERR: $0 do not accept parameters >&2; exit 4; fi
if test -f geniso.cfg; then . geniso.cfg; else echo ERR: No file geniso.cfg >&2; exit 8; fi
if ! test -f ut/cat_2k.pl; then echo ERR: No required file ut/cat_2k.pl >&2; exit 8; fi
if ! test -x ut/cat_2k.pl; then echo ERR: No exec perm for ut/cat_2k.pl >&2; exit 8; fi
fl0="${dvdbase}-gen.flist0"
if test -f "$fl0"; then
  perl -we '
  use strict;
  local $/ = "\0"; my $n; 
  while(<>) {
    ++$n; # count fspec
    chomp; # strip line terminator
    -f $_ or die "ERR: No required file $_\n";
  }
  print STDERR "INFO: got filelist for $n files\n"
  ' "$fl0" || exit 8;
else
  echo ERR: No file $fl0 which is required >&2; exit 4;
fi
if test -t 1; then
   echo "ERR: Cannot write binary data to terminal; use output redirection " >&2;
   exit 8;
fi

cat "$fl0" | xargs -r0 ut/cat_2k.pl 
