#!/usr/bin/perl
use strict;
use warnings;
my $bloff = 0; my $bytesize = 0; my $nfiles = 0;
use constant SZ2K => 2048;
local $/ = "\0";
while(<>) {
   chomp;
   die "ERR: Too long filepath, size " . length($_) . ", perhaps input data lines not 0-terminated" if length($_) > 1024;
   die "ERR: Could not find file $_: $!" if not -f $_;
   my @stat=stat(_) or die "ERR: Could not stat file $_: $!";
   my $fsz = $stat[7]; $bytesize += $fsz;
   my $cfszrem = $fsz % SZ2K; # remainder
   my $cfbsz = ($fsz - $cfszrem) / SZ2K; # not integer
   $cfbsz += 1 if $cfszrem;
   
   print "s_offset $bloff, size $cfbsz, file $_\n";
   $bloff += $cfbsz; ++$nfiles;
}
print STDERR "INFO: processed $nfiles files, org size ",sprintf("%.0f", $bytesize),
             ", number of @{[SZ2K]}-byte sectors=$bloff that is @{[sprintf(qq[%.0f],$bloff*SZ2K)]} bytes\n";
# vim:et sw=3 ts=3 smartindent
